package com.caliverse.admin.dynamodb.entity;


import com.caliverse.admin.domain.entity.common.ValueEnum;

public enum EOwnerEntityType implements ValueEnum {
    None(0),
    User(1),
    Character(2),
    UgcNpc(3),
    Myhome(4),
    Land(5),
    Building(6),
    ;

    private final int value;

    EOwnerEntityType(int value) {
        this.value = value;
    }

    @Override
    public int getValue() {
        return value;
    }
}
